> ## Documentation Index
> Fetch the complete documentation index at: https://moengage-partner-guide.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Experience Metadata

> This API fetches a list of currently Active, Scheduled, and Paused experiences within a workspace.



## OpenAPI

````yaml /api/personalize-experience/personalize-experience.yaml get /experiences/metadata
openapi: 3.0.3
info:
  title: Personalize APIs
  description: >
    Personalize APIs constitute a set of endpoints that can be accessed from
    your platform's code. These APIs offer personalization capabilities and must
    be invoked from your codebase for MoEngage to provide relevant data. After
    receiving the data, you can use it within your platform's code to
    personalize the content for your users.
  version: 1.0.0
servers:
  - url: https://sdk-{dc}.moengage.com/v1
    description: MoEngage API Server
    variables:
      dc:
        default: '01'
        description: >
          The 'X' in the API Endpoint URL refers to the MoEngage Data Center
          (DC). MoEngage hosts each customer in a different DC. You can find
          your DC number (value of X) and replace the value of 'X' in the URL by
          referring to the DC and API endpoint mapping
          [here](https://help.moengage.com/hc/en-us/articles/360057030512-Data-Centers-in-MoEngage).
security:
  - basicAuth: []
tags:
  - name: Experiences
    description: API endpoints for fetching experiences and metadata.
  - name: Events
    description: API endpoints for reporting impressions and clicks.
paths:
  /experiences/metadata:
    get:
      tags:
        - Experiences
      summary: Fetch Experience Metadata
      description: >-
        This API fetches a list of currently Active, Scheduled, and Paused
        experiences within a workspace.
      operationId: getMetadata
      parameters:
        - name: MOE-APPKEY
          in: header
          required: true
          description: >-
            This is the Workspace ID of your MoEngage account that must be
            passed with the request. You can find it in the MoEngage dashboard
            at **Settings** > **Account** > **APIs** > **Workspace ID (earlier
            app id)**.
          schema:
            type: string
            example: Workspace ID
        - name: status
          in: query
          required: false
          description: >-
            You can also fetch experiences that are in a specific state (Only
            Active or only Active and Paused) by using the query parameter
            **status**.
          schema:
            type: string
            example: Active,Paused
      responses:
        '200':
          description: Successful retrieval
          content:
            application/json:
              schema:
                type: object
                properties:
                  metadata:
                    type: object
                    properties:
                      count:
                        type: integer
                      experiences:
                        type: array
                        items:
                          type: object
                          properties:
                            experience_name:
                              type: string
                            experience_key:
                              type: string
                            status:
                              type: string
              example:
                metadata:
                  count: 3
                  experiences:
                    - experience_name: Experience 1
                      experience_key: experience-1
                      status: Active
                    - experience_name: Experience 2
                      experience_key: experience-2
                      status: Paused
                    - experience_name: Experience-3
                      experience_key: experience-3
                      status: Scheduled
      x-codeSamples:
        - lang: cURL
          label: Fetch all experiences
          source: >
            curl --location
            'https://sdk-01.moengage.com/v1/experiences/metadata' \

            --header 'Accept: */*' \

            --header 'Content-Type: application/json' \

            --header 'Authorization: Basic
            TkFTNUlQWVdaM0tWTEcyQ05FTVJQVkRROklpSUZzU21zOHVGendEa0ZNX3FqaVVlYw=='
            \

            --header 'MOE-APPKEY: <Your Workspace ID>'
        - lang: cURL
          label: Fetch by Status (Active)
          source: >
            curl --location
            'https://sdk-01.moengage.com/v1/experiences/metadata?status=Active'
            \

            --header 'Accept: */*' \

            --header 'Content-Type: application/json' \

            --header 'Authorization: Basic
            TkFTNUlQWVdaM0tWTEcyQ05FTVJQVkRROklpSUZzU21zOHVGendEa0ZNX3FqaVVlYw=='
            \

            --header 'MOE-APPKEY: <Your Workspace ID>'
        - lang: cURL
          label: Fetch by Status (Active,Paused)
          source: >
            curl --location
            'https://sdk-01.moengage.com/v1/experiences/metadata?status=Active,Paused'
            \

            --header 'Accept: */*' \

            --header 'Content-Type: application/json' \

            --header 'Authorization: Basic
            TkFTNUlQWVdaM0tWTEcyQ05FTVJQVkRROklpSUZzU21zOHVGendEa0ZNX3FqaVVlYw=='
            \

            --header 'MOE-APPKEY: <Your Workspace ID>'
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >
        Authentication is done via Basic Auth. This requires a base64-encoded
        string of your credentials in the format 'username:password'.


        - **Username**: Use your MoEngage workspace ID (also known as the App
        ID). You can find it in the MoEngage dashboard at **Settings** >
        **Account** > **APIs** > **Workspace ID (earlier app id)**.

        - **Password**: Use your API Key, which you can find within the
        **Personalize** tile.


        **Note**: After you generate and save the Personalize API Key (SECRET
        KEY), DO NOT generate a new key unless there is a security breach. After
        you generate a different key and save it, API calls using the older key
        won't work.


        For more information on authentication and getting your credentials,
        refer
        [here](https://www.moengage.com/docs/api/introduction#getting-your-credentials).

````